org.apache.fop.render.intermediate

## Class IFRendererConfig

- java.lang.Object
- - org.apache.fop.render.intermediate.IFRendererConfig

All Implemented Interfaces:
  RendererConfig

    public final class IFRendererConfig
    extends Object
    implements RendererConfig

The Intermediate Format renderer configuration data object.

### Nested Class Summary

Nested Classes
`static class` `IFRendererConfig.IFRendererConfigParser` The Intermediate Format configuration data parser.

### Nested classes/interfaces inherited from interface org.apache.fop.render.RendererConfig

`RendererConfig.RendererConfigParser`

### Method Summary

All Methods Instance Methods Concrete Methods
`FontConfig` `getFontInfoConfig()` Returns the render-specific font configuration information.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getFontInfoConfig

    public FontConfig getFontInfoConfig()

Description copied from interface: `RendererConfig`
Returns the render-specific font configuration information.

Specified by:
  `getFontInfoConfig` in interface `RendererConfig`
Returns:
  the font config